Returns value of the element

- « OCICollection::free

- OCICollection::max »

- PHP Manual
- OCICollection
- Returns value of the element

# OCICollection::getElem

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCICollection::getElem — Returns value of the element

### Description

public OCICollection::getElem(int `$index`): string|float|null|false

Returns element's value with the index `index` (0-based).

### Parameters

`index`

  The element index. First index is 0.

### Return Values

Returns `false` if such element doesn't exist; `null` if element is `null`; string if element is column of a string datatype or number if element is numeric field.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Collection class was renamed to OCICollection to align with PHP naming standards.

### See Also

- OCICollection::assignElem